Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
Class SimpleGroovyConstructorDoc

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
          org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc
              org.codehaus.groovy.tools.groovydoc.SimpleGroovyMemberDoc
                  org.codehaus.groovy.tools.groovydoc.SimpleGroovyExecutableMemberDoc
                      org.codehaus.groovy.tools.groovydoc.SimpleGroovyConstructorDoc

All Implemented Interfaces:
  GroovyConstructorDoc

    class SimpleGroovyConstructorDoc
    extends SimpleGroovyExecutableMemberDoc

Field Summary

Fields inherited from class SimpleGroovyMemberDoc
belongsToClass

Constructor Summary
`SimpleGroovyConstructorDoc(String name, GroovyClassDoc belongsToClass)`

Method Summary

Methods inherited from class SimpleGroovyExecutableMemberDoc
add, flatSignature, isNative, isSynchronized, isVarArgs, parameters, signature, thrownExceptionTypes, thrownExceptions

Methods inherited from class SimpleGroovyMemberDoc
getBelongsToClass, isAbstract, isSynthetic, setAbstract, setRawCommentText

Methods inherited from class SimpleGroovyProgramElementDoc
addAnnotationRef, annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifierSpecifier, modifiers, qualifiedName, setContainingPackage, setFinal, setPrivate, setProtected, setPublic, setStatic

Methods inherited from class SimpleGroovyDoc
calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setTokenType, tags, toString, tokenType

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### SimpleGroovyConstructorDoc

    public SimpleGroovyConstructorDoc(String name, GroovyClassDoc belongsToClass)

Copyright © 2003-2009 The Codehaus. All rights reserved.